summaryrefslogtreecommitdiff
path: root/dev-python/diskcache/diskcache-5.2.1.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-01-23 12:42:56 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-01-23 12:42:56 +0000
commitb8e6b53d89408e21ec92ee8c8bb2890544ee29cb (patch)
treee348e2796fc90c8cdfa20d786cf7b3d7ade6c878 /dev-python/diskcache/diskcache-5.2.1.ebuild
parentf1456b8b18a0871825514edb71adc9e0c2517f9f (diff)
downloadbaldeagleos-repo-b8e6b53d89408e21ec92ee8c8bb2890544ee29cb.tar.gz
baldeagleos-repo-b8e6b53d89408e21ec92ee8c8bb2890544ee29cb.tar.xz
baldeagleos-repo-b8e6b53d89408e21ec92ee8c8bb2890544ee29cb.zip
Updating liguros repo
Diffstat (limited to 'dev-python/diskcache/diskcache-5.2.1.ebuild')
-rw-r--r--dev-python/diskcache/diskcache-5.2.1.ebuild37
1 files changed, 37 insertions, 0 deletions
diff --git a/dev-python/diskcache/diskcache-5.2.1.ebuild b/dev-python/diskcache/diskcache-5.2.1.ebuild
new file mode 100644
index 000000000000..183f2654b7ba
--- /dev/null
+++ b/dev-python/diskcache/diskcache-5.2.1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+PYTHON_REQ_USE="sqlite"
+
+inherit distutils-r1
+
+HOMEPAGE="https://www.grantjenks.com/docs/diskcache/
+ https://github.com/grantjenks/python-diskcache/"
+DESCRIPTION="Disk and file backed cache"
+SRC_URI="
+ https://github.com/grantjenks/python-diskcache/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz"
+S=${WORKDIR}/python-diskcache-${PV}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
+
+BDEPEND="
+ test? (
+ >=dev-python/django-2.2[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs
+distutils_enable_tests pytest
+
+src_prepare() {
+ # remove dep on pytest-xdist and pytest-cov
+ sed -i -e '/-n auto/d' -e '/--cov/d' tox.ini || die
+
+ distutils-r1_src_prepare
+}